Loading...
Searching...
No Matches
Opm::VanGenuchtenParams< TraitsT > Class Template Reference

Specification of the material parameters for the van Genuchten constitutive relations. More...

`#include <VanGenuchtenParams.hpp>`

Inheritance diagram for Opm::VanGenuchtenParams< TraitsT >:

## Public Types

typedef TraitsT | Traits

## Public Member Functions

| VanGenuchtenParams (Scalar alphaParam, Scalar nParam)
Scalar | vgAlpha () const
| Return the shape parameter of van Genuchten's curve.
void | setVgAlpha (Scalar v)
| Set the shape parameter of van Genuchten's curve.
Scalar | vgM () const
| Return the shape parameter of van Genuchten's curve.
void | setVgM (Scalar m)
| Set the shape parameter of van Genuchten's curve.
Scalar | vgN () const
| Return the shape parameter of van Genuchten's curve.
void | setVgN (Scalar n)
| Set the shape parameter of van Genuchten's curve.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::VanGenuchtenParams< TraitsT >

Specification of the material parameters for the van Genuchten constitutive relations.

In this implementation setting either the or shape parameter automatically calculates the other. I.e. they cannot be set independently.

## Member Function Documentation

## setVgM()

template<class TraitsT>

void Opm::VanGenuchtenParams< TraitsT >::setVgM | ( | Scalar | m | ) |

inline

Set the shape parameter of van Genuchten's curve.

The shape parameter is set to

## setVgN()

template<class TraitsT>

void Opm::VanGenuchtenParams< TraitsT >::setVgN | ( | Scalar | n | ) |

inline

Set the shape parameter of van Genuchten's curve.

The shape parameter is set to

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/VanGenuchtenParams.hpp